Prerequisites / compatability | Gekkobrain

Prerequisites / compatability

The HanaLyzer uses the CodeInspector variants provided by SAP to check your custom code.

The variants needed at your system is described in the SAP note (1912445 - ABAP custom code migration for SAP HANA - recommendations and Code Inspector variants for SAP HANA migration).

The note (1935918 - Downport Code Inspector Check Variants for HANA Migration) describes downporting the variants.

The Hanalyzer uses the PERFORMANCE_DB instead of FUNCTIONAL_DB_ADDITION, if this exists.

The ABAP of the HanaLyzer is written for SAP Netweaver 7.02 and onwards.